Available in Classic and VPC
View the list of stages created on a specified API.Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| GET | /api/v1/products/{product-id}/apis/{api-id}/stages |
Request headers
For information about the headers common to all API Gateway APIs, see API Gateway request headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
product-id |
String | Required | Product ID that the API belongs to
|
api-id |
String | Required | ID of the API whose stage you want to view
|
Request example
The following is a sample request.
curl --location --request GET 'https://apigateway.apigw.ntruss.com/api/v1/products/***ksk9***/apis/***51hs***/stages' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
The following describes the response format.
Response syntax
The response syntax is as follows.
{
"host" : "host",
"stages" : [ {
"canaryDeploymentNo" : 0,
"stageName" : "stageName",
"isCanary" : true,
"resourceDtos" : [ {
"corsMaxAge" : "corsMaxAge",
"resourceId" : "resourceId",
"corsAllowMethods" : "corsAllowMethods",
"methods" : [ {
"methodName" : "ANY",
"methodCode" : "methodCode"
} ],
"corsAllowOrigin" : "corsAllowOrigin",
"resourcePath" : "resourcePath",
"corsAllowCredentials" : "corsAllowCredentials",
"corsExposeHeaders" : "corsExposeHeaders",
"apiId" : "apiId",
"corsAllowHeaders" : "corsAllowHeaders"
} ],
"defaultDeploymentNo" : 6,
"stageId" : "stageId"
} ]
}
Response status codes
For information about the HTTP status codes common to all API Gateway APIs, see API Gateway response status codes.
Response example
The following is a sample response.
{
"stages": [
{
"stageId": "***fh5o***",
"stageName": "stage000",
"defaultDeploymentNo": 250***,
"resourceDtos": [
{
"methods": [
{
"methodCode": "0002",
"methodName": "POST"
}
],
"resourceId": "***y6dq***",
"resourcePath": "/***ytDk***"
},
{
"methods": [
{
"methodCode": "0006",
"methodName": "OPTIONS"
}
],
"resourceId": "***vlsh***",
"resourcePath": "/test01***2233",
"corsAllowOrigin": "*",
"corsAllowMethods": "DELETE",
"corsAllowHeaders": "content-type,x-ncp-apigw-api-key,x-ncp-apigw-timestamp,x-ncp-iam-access-key,x-ncp-apigw-signature-v1,x-ncp-apigw-signature-v2"
},
{
"methods": [
{
"methodCode": "0002",
"methodName": "POST"
},
{
"methodCode": "0006",
"methodName": "OPTIONS"
}
],
"resourceId": "***viz0***",
"resourcePath": "/***wqod***",
"corsAllowOrigin": "*",
"corsAllowMethods": "GET,POST,HEAD",
"corsAllowHeaders": "content-type,x-ncp-apigw-api-key,x-ncp-apigw-timestamp,x-ncp-iam-access-key,x-ncp-apigw-signature-v1,x-ncp-apigw-signature-v2",
"corsAllowCredentials": "",
"corsMaxAge": "",
"corsExposeHeaders": ""
}
],
"isCanary": false
},
// (Omitted)
],
"host": "https://***ksk9***.apigw.ntruss.com"
}